Get A Community Group
curl --request GET \
--url https://api.thefaithapp.com/v1/community-groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"group": {
"id": 42,
"name": "Young Adults Fellowship",
"description": "A weekly group for prayer, Bible study, and community.",
"type": "small_group",
"join_policy": "open",
"capacity": 30,
"meeting_day": "Friday",
"meeting_time": "18:30",
"location": "Central Campus, Room 4",
"is_active": true,
"branch": {
"id": 7,
"name": "Central Campus",
"location": "Kampala"
},
"active_member_count": 18,
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
}
}Community Groups
Get A Community Group
Returns one active community group in the member’s church together with the member’s current membership state.
GET
/
v1
/
community-groups
/
{groupId}
Get A Community Group
curl --request GET \
--url https://api.thefaithapp.com/v1/community-groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"group": {
"id": 42,
"name": "Young Adults Fellowship",
"description": "A weekly group for prayer, Bible study, and community.",
"type": "small_group",
"join_policy": "open",
"capacity": 30,
"meeting_day": "Friday",
"meeting_time": "18:30",
"location": "Central Campus, Room 4",
"is_active": true,
"branch": {
"id": 7,
"name": "Central Campus",
"location": "Kampala"
},
"active_member_count": 18,
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Response
Community group loaded.
The response is of type object.
Was this page helpful?